Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1057336

Summary: Login interrupted with "FAILURE: Start Fedora crash recovery kernel arming". Returns to login. Repeats.
Product: [Fedora] Fedora Reporter: Burnie West <west>
Component: gnome-sessionAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 20CC: cschalle, marek.j.piatek, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 14:42:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Burnie West 2014-01-23 20:42:43 UTC
Description of problem: Login was interrupted, display read
   FAILED: Start Fedora crash recovery kernel arming.

Returned to login screen. This short loop continued.

Then I rebooted into 3.126-300; login failed without FAILURE message; last message was "loading color profiles". I rebooted into 3.125-302; again login failed without any FAILURE message. 

All this happened a few days after the kernel upgrade to 3.127 (Jan 18). My system configuration at the time of upgrade included a second screen. It worked fine until I shut down, removed second screen and all other accessories just to use the laptop. I had had no problem with the 3.125.302 kernel; I did not operate (AFAICR) 3.126-300 without the accessories.

When I returned and reconnected the second screen and other accessories (keyboard, mouse, additional drives, etc) the system behaved normally. I then looked at my ABRT history; there were 10 failures under the "My" tab, seven of which were results of today's attempts to log in on the disconnected laptop.
The first was gnome-session-3.10.1-1.fc20 "killed by SIGABRT" ("problem data incomplete - cannot be reported")

Version-Release number of selected component (if applicable):3.10.1-1_X86-64

How reproducible:
Have not determined - -

Steps to Reproduce: (which I do not quite dare to take)
1. shut down
2. remove all external connections
3. start up unconnected laptop

Actual results:
Returns to login screen

Expected results:
Login normal

Additional info:
"My" ABRT log:
  gnome-session-3.10.1-1.fc20 CCpp - 7:19:52 AM - cannot be reported
             - (user logging out)
  kerneloops - 7:28:50 AM - cannot be reported (user logging out)
  - WARNING: CPU: 3 PID: 2149 at lib/idr.c:527 idr_remove.part.6+0c243/0x250()
  Four more gnome-session-3.10.1-1.fc20 CCpp:
     7:32 (3.127-300)
     7:36:09, 7:36:37 (3.126-300) 
     7:39 (3.125-302)
Here I rebooted into Windows to search on-linr for similar problems, found none. I then attempted to return to Linux. One more gnome-session CCpp:
     8:13:01 (3.127-300)
All of the above "cannot be reported"

"System" ABRT log:
  3 xorg-x11-server aborts today "cannot be reported" - logging out
  2 xorg aborts today "cannot be reported" - logging out

Comment 1 Burnie West 2014-02-24 22:47:06 UTC
As of today, I have managed only to log in as root. I have so far found no solution or workaround. Updates today ultimately resolved a several-day-old libcmis complication that had been caused by incorrect dependencies, but the login short loop remains.

Kernel is 3.13.3-201.fc20.x86_64.

Comment 2 marodoc 2014-04-01 06:07:07 UTC
Similar problem here.
kernel is 3.13.7-200.fc20.x86_64.
System fully updated.

Comment 3 Fedora End Of Life 2015-05-29 10:38:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 14:42:07 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.